<?php
// menggunakan class phpExcelReader
include "excel_reader2.php";
include("sess_check.php");
 
// koneksi ke mysql
mysql_connect("localhost", "root", "");
mysql_select_db("sdrdu");
 
// membaca file excel yang diupload
$data = new Spreadsheet_Excel_Reader($_FILES['userfile']['tmp_name']);
 
// membaca jumlah baris dari data excel
$baris = $data->rowcount($sheet_index=0);
 
// nilai awal counter utk jml data yg sukses & gagal diimport
$sukses = 0;
$gagal = 0;
 
// import data excel mulai baris ke-2 
// (karena baris pertama adalah nama kolom)
for ($i=2; $i<=$baris; $i++)
{
  // membaca data nim (kolom ke-1)
  $nis = $data->val($i, 1); 
  // membaca data nama (kolom ke-2)
  $nama_lengkap = $data->val($i, 2);
  // membaca data alamat (kolom ke-3)
  $id_kelas = $data->val($i, 3);
  // membaca data alamat (kolom ke-4)
  $alamat = $data->val($i, 4);
 
  // setelah data dibaca, sisipkan ke dalam tabel mhs
  $q = "INSERT INTO siswa VALUES ('$nis', '$nama_lengkap', '$id_kelas', '$alamat')";
  $hasil = mysql_query($q);
 
  // jika proses insert data sukses, counter $sukses bertambah  
  // jika gagal, maka counter $gagal yang bertambah
 if($hasil){
	 $sukses++;
		echo "<script>alert('Import Berhasil! $sukses siswa');</script>";
		echo "<script type='text/javascript'> document.location = 'siswa.php'; </script>";
		
	}else{
		echo("Error description: " . mysqli_error($conn));
		echo "<script>alert('Ops, terjadi kesalahan. Silahkan coba lagi.');</script>";
		echo "<script type='text/javascript'> document.location = 'importsiswa_tambah.php'; </script>";
		$gagal++;
	}
}
